Bug 1562818 - SELinux is preventing colord from 'getattr' accesses on the file /home/joselopez/.local/share/icc/edid-2c9488b2554b3ed4515286be48e867af.icc.
Summary: SELinux is preventing colord from 'getattr' accesses on the file /home/joselo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:04ed9cd09d09d606af46b3e7cce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-02 14:54 UTC by dan
Modified: 2018-07-29 03:21 UTC (History)
9 users (show)

Fixed In Version: selinux-policy-3.13.1-283.32.fc27 selinux-policy-3.14.1-36.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1505098
Environment:
Last Closed: 2018-07-29 03:21:06 UTC
Type: ---


Attachments (Terms of Use)

Description dan 2018-04-02 14:54:58 UTC
+++ This bug was initially created as a clone of Bug #1505098 +++

In this case, this occurs on an FC27 system upon GUI login at all times.  The user's home directory is nfs mounted.  This does not occur upon a local login on the system hosting the nfs mount.

SELinux is preventing colord from map access on the file /home/dan/.local/share/icc/edid-e6a5375115240064bcc0d7209d55eed8.icc.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that colord should be allowed map access on the edid-e6a5375115240064bcc0d7209d55eed8.icc file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'colord' --raw | audit2allow -M my-colord
# semodule -X 300 -i my-colord.pp

Additional Information:
Source Context                system_u:system_r:colord_t:s0
Target Context                system_u:object_r:nfs_t:s0
Target Objects                /home/dan/.local/share/icc/edid-e6a5375115240064bc
                              c0d7209d55eed8.icc [ file ]
Source                        colord
Source Path                   colord
Port                          <Unknown>
Host                          noire.private
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.30.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     noire.private
Platform                      Linux noire.private 4.15.9-300.fc27.x86_64 #1 SMP
                              Mon Mar 12 17:07:55 UTC 2018 x86_64 x86_64
Alert Count                   126
First Seen                    2018-03-15 14:18:28 EDT
Last Seen                     2018-04-02 10:46:57 EDT
Local ID                      1369db0d-b906-4be0-8e48-6e1a2e15bb5d

Raw Audit Messages
type=AVC msg=audit(1522680417.452:253): avc:  denied  { map } for  pid=1532 comm="colord" path="/home/dan/.local/share/icc/edid-e6a5375115240064bcc0d7209d55eed8.icc" dev="0:49" ino=62394711 scontext=system_u:system_r:colord_t:s0 tcontext=system_u:object_r:nfs_t:s0 tclass=file permissive=0


Hash: colord,colord_t,nfs_t,file,map

Comment 1 Fedora Update System 2018-04-16 11:32:40 UTC
selinux-policy-3.13.1-283.32.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d3085b9774

Comment 2 Fedora Update System 2018-04-18 02:59:11 UTC
selinux-policy-3.13.1-283.32.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d3085b9774

Comment 3 Fedora Update System 2018-04-27 01:18:11 UTC
selinux-policy-3.13.1-283.32.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 dan 2018-05-04 01:50:33 UTC
Still occurring.

SELinux is preventing colord from map access on the file /home/dan/.local/share/icc/edid-e6a5375115240064bcc0d7209d55eed8.icc.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that colord should be allowed map access on the edid-e6a5375115240064bcc0d7209d55eed8.icc file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'colord' --raw | audit2allow -M my-colord
# semodule -X 300 -i my-colord.pp

Additional Information:
Source Context                system_u:system_r:colord_t:s0
Target Context                system_u:object_r:nfs_t:s0
Target Objects                /home/dan/.local/share/icc/edid-e6a5375115240064bc
                              c0d7209d55eed8.icc [ file ]
Source                        colord
Source Path                   colord
Port                          <Unknown>
Host                          noire
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.32.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     noire
Platform                      Linux noire 4.16.4-200.fc27.x86_64 #1 SMP Tue Apr
                              24 23:19:54 UTC 2018 x86_64 x86_64
Alert Count                   30
First Seen                    2018-04-29 11:35:21 EDT
Last Seen                     2018-05-03 21:40:14 EDT
Local ID                      378cc141-d5f3-40ec-9da1-c054e87af404

Raw Audit Messages
type=AVC msg=audit(1525398014.773:226): avc:  denied  { map } for  pid=1443 comm="colord" path="/home/dan/.local/share/icc/edid-e6a5375115240064bcc0d7209d55eed8.icc" dev="0:52" ino=62394711 scontext=system_u:system_r:colord_t:s0 tcontext=system_u:object_r:nfs_t:s0 tclass=file permissive=0


Hash: colord,colord_t,nfs_t,file,map

Comment 5 Göran Uddeborg 2018-05-29 21:20:44 UTC
This issue is also affecting F28 with selinux-policy-targeted-3.14.1-24.fc28.noarch.

Comment 6 dan 2018-06-18 22:56:46 UTC
Updated ticket to  FC28:

SELinux is preventing colord from 'map' accesses on the file /home/dan/.local/share/icc/edid-e6a5375115240064bcc0d7209d55eed8.icc.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that colord should be allowed map access on the edid-e6a5375115240064bcc0d7209d55eed8.icc file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'colord' --raw | audit2allow -M my-colord
# semodule -X 300 -i my-colord.pp

Additional Information:
Source Context                system_u:system_r:colord_t:s0
Target Context                system_u:object_r:nfs_t:s0
Target Objects                /home/dan/.local/share/icc/edid-e6a5375115240064bc
                              c0d7209d55eed8.icc [ file ]
Source                        colord
Source Path                   colord
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.1-30.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.13-300.fc28.x86_64 #1 SMP Wed
                              May 30 14:31:00 UTC 2018 x86_64 x86_64
Alert Count                   102
First Seen                    2018-05-27 11:12:28 EDT
Last Seen                     2018-06-18 18:52:59 EDT
Local ID                      07110907-b6de-4166-96a8-10f9cce3a349

Raw Audit Messages
type=AVC msg=audit(1529362379.943:257): avc:  denied  { map } for  pid=1753 comm="colord" path="/home/dan/.local/share/icc/edid-e6a5375115240064bcc0d7209d55eed8.icc" dev="0:53" ino=62394711 scontext=system_u:system_r:colord_t:s0 tcontext=system_u:object_r:nfs_t:s0 tclass=file permissive=0


Hash: colord,colord_t,nfs_t,file,map

Comment 7 Fedora Update System 2018-07-25 22:26:38 UTC
selinux-policy-3.14.1-36.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 8 Fedora Update System 2018-07-26 16:29:14 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 9 Fedora Update System 2018-07-29 03:21:06 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.